%global debug_package %{nil}

Name:           oraclelinux-release-el9
Version:        1.0
Release:        12%{dist}
Summary:        Oracle Linux yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-linux-ol9.repo
Source1:        LICENSE
Source2:        uek-ol9.repo
Source3:        virt-ol9.repo
Source4:        uek-ol9.repo.aarch64
Source5:        oracle-linux-ol9.repo.aarch64



BuildArch:     x86_64 aarch64
Requires:      grep
Requires:      sed
Requires:      curl


%description
This package contains the  Oracle Linux  yum repository configuration.

%prep
%setup  -q  -c -T

%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
%if "%{?_host_cpu}" == "x86_64"
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%endif
%if "%{?_host_cpu}" == "aarch64"
install -pm 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/uek-ol9.repo
install -pm 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/oracle-linux-ol9.repo
%endif
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%post

instance_command='curl --max-time 1 -q -f http://169.254.169.254/opc/v2/instance/'
if [ -d /etc/yum/vars ]; then
  yumvars_dir=/etc/yum/vars
else
  if [ ! -d /etc/dnf/vars ]; then
    mkdir -p /etc/dnf/vars
    chmod 755 /etc/dnf/vars
  fi
  yumvars_dir=/etc/dnf/vars
fi

if [ ! -f $yumvars_dir/ociregion ]; then
(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v2/instance/ -H "Authorization: Bearer Oracle" > /dev/null 2>&1)
 if [ $? != 0 ]; then
   echo > $yumvars_dir/ociregion
   echo oracle.com > $yumvars_dir/ocidomain
 else
  instance_region=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2> /dev/null | grep regionIdentifier | awk -F\: '{print $2}' | sed -e 's/\"//g' -e 's/ //g' -e 's/,//g')
  instance_domain=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2> /dev/null | grep realmDomainComponent | awk -F: '{print $2}' | sed -e 's/"//g' -e 's/,//g' -e 's/^\s//g')
  instance_realm=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2>/dev/null | grep realmKey | awk -F: '{print $2}' | sed -e 's/"//g' -e 's/,//g' -e 's/^\s//g')
  if [ -z "$instance_region" -o -z "$instance_domain" ]; then
    echo > $yumvars_dir/ociregion
    echo oracle.com > $yumvars_dir/ocidomain
  else
    if curl -sfm 25 http://yum-${instance_region}.oracle.com &> /dev/null || curl -sfm 25 https://yum.${instance_region}.oci.${instance_domain} &> /dev/null; then
        echo oci.$instance_domain > $yumvars_dir/ocidomain
        echo ".$instance_region" > $yumvars_dir/ociregion
    else
        echo > $yumvars_dir/ociregion
        echo oracle.com > $yumvars_dir/ocidomain
     fi
  fi
 fi
fi

if [ ! -f $yumvars_dir/ocidomain ]; then
   (http_proxy="";$instance_command -H "Authorization: Bearer Oracle" > /dev/null 2>&1)
    if [ $? != 0 ]; then
      echo oracle.com > $yumvars_dir/ocidomain
    else
     instance_domain=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2> /dev/null | grep realmDomainComponent | awk -F: '{print $2}' | sed -e 's/"//g' -e 's/,//g' -e 's/^\s//g')
     instance_realm=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2>/dev/null | grep realmKey | awk -F: '{print $2}' | sed -e 's/"//g' -e 's/,//g' -e 's/^\s//g')
       if [ -z $instance_domain ]; then
         echo oracle.com > $yumvars_dir/ocidomain
       elif [[ -n $instance_realm ]]; then
          echo oci.$instance_domain > $yumvars_dir/ocidomain
       else
          echo oracle.com > $yumvars_dir/ocidomain
       fi
    fi
fi


%changelog
* Tue Nov 07 2023 Alex Burmashev <alexander.burmashev@oracle.com> - 1.0-12
- Enabled Oracle Linux 9.3 Repositories [Orabug: 35981276]
- Removed Pre-GA Oracle Linux 9.3 Repositories [Orabug: 35981276]

* Thu Oct 26 2023 Alex Burmashev <alexander.burmashev@oracle.com> - 1.0-11
- Enabled Pre-GA Oracle Linux 9.3 Repositories

* Tue May 09 2023 Alex Burmashev <alexander.burmashev@oracle.com> - 1.0-10
- Added Oracle Linux 9.2 Repositories [Orabug: 35264224]
- Removed Oracle Linux 9 developer preview repositories [OraBug: 35264224]

* Wed Apr 05 2023 Alex Burmashev <alexander.burmashev@oracle.com> - 1.0-9
- Update post scripts to support new self-service DNS hostnames [JIRA: OLDIS-22726]
- Modified repositories for developer preview [Orabug: 35260780]

* Tue Nov 15 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-8
- Added Oracle Linux 9.1 Repositories [ OraBug: 34662258 ]
- Removed Oracle Linux 9 developer preview repositories [ OraBug: 34662258 ]

* Mon Oct  3 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-7
- Added Oracle Linux 9 developer preview repositories [ OraBug: 34662177 ]

* Tue Jul  5 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-6
- Added Oracle modified RHCK repository.

* Thu Jun 16 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-5
- Added uek7 repository for aarch64

* Tue Jun 14 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-4
- Updated to production repositories

* Mon Jun 13 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-3
- Added Distro Builder and RDMA developer preview channels.

* Mon May 23 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Updated repository name and repository url for developer preview release.

* Wed Feb  2 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Intial version

